" *init.vim*

" removes annoying swap, improves performance and asks for confirmation before write
set noswapfile lazyredraw confirm 

" indentation
filetype plugin indent on
set tabstop=4 softtabstop=4 shiftwidth=4 expandtab smartindent " tab setting
set showmatch ignorecase smartcase


set undofile " persist undo
set clipboard=unnamedplus " X clipboard to nvim

" plugins
call plug#begin()
Plug 'sainnhe/gruvbox-material' " best theme
call plug#end()

" styling
syntax on
set termguicolors

set number relativenumber numberwidth=2 cursorline
set conceallevel=3

set background=dark
let g:gruvbox_material_better_performance = 1
let g:gruvbox_material_statusline_style = 'original'
colo gruvbox-material

"" bindings
" leader mapping
nnoremap <SPACE> <Nop>
let mapleader=" "
let localleader=" " 

" easy splits
nnoremap <leader>h <C-w>h
nnoremap <leader>j <C-w>j
nnoremap <leader>k <C-w>k
nnoremap <leader>l <C-w>l
set splitright splitbelow

" easy write
nmap <leader>w :w!<CR>
nmap <leader>W :w!<CR>


